## gnome-power-manager 3.6.0

=== debian/changelog ===
gnome-power-manager (3.6.0-1ubuntu1) raring; urgency=low

  [ Dedunu Dhananjaya ]
  * Added key press event for ctrl+q (LP: #923292)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 12 Mar 2013 14:39:00 +0000

gnome-power-manager (3.6.0-1svn1) raring; urgency=low

  Upload current Debian svn head.

  [ Loïc Minier ]
  * Drop consolekit Depends; GPM doesn't use it anymore.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Mar 2013 07:21:57 +0100

gnome-power-manager (3.6.0-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 02 Nov 2012 23:20:01 +0100

gnome-power-manager (3.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 03:18:55 +0200

gnome-power-manager (3.4.0-1) experimental; urgency=low

  * New upstream release.
  * Drop Build-Depends on gnome-doc-utils, no longer required.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.31.10).
  * Bump Build-Depends on libgtk-3-dev to (>= 3.3.8).
  * Use a maintscript file for removing the obsolete conffiles.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Update Vcs-* URLs.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2012 17:58:42 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-power-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8.1.0),
               cdbs,
               gnome-pkg-tools (>= 0.10),
               autotools-dev,
               libdbus-glib-1-dev (>= 0.70),
               libglib2.0-dev (>= 2.31.10),
               libgtk-3-dev (>= 3.4.0),
               libcairo2-dev (>= 1.0.0),
               libupower-glib-dev (>= 0.9.1),
               docbook-to-man,
               intltool,
               docbook-utils,
               pkg-config
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
Homepage: http://www.gnome.org/projects/gnome-power-manager/

Package: gnome-power-manager
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         notification-daemon,
         dbus-x11,
         upower,
         gnome-settings-daemon (>= 3.2)
Breaks: gnome-session (<< 2.28)
Suggests: policykit-1
Description: power management tool for the GNOME desktop
 GNOME Power Manager is a session daemon for the GNOME desktop
 that takes care of system or desktop events related to power, and
 triggers actions accordingly. Its philosophy is to completely hide
 these complex tasks and only show some settings important to the user.
 .
 GNOME power manager displays and manages battery status, power plug
 events, display brightness, CPU, graphics card and hard disk drive
 power saving, and can trigger suspend-to-RAM, hibernate or shutdown
 events, all integrated to other components of the GNOME desktop.

## gnome-power-manager 3.8.2

=== debian/changelog ===
gnome-power-manager (3.8.2-1ubuntu2) trusty; urgency=medium

  * debian/control:
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon (LP: #1277487)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Feb 2014 17:02:16 +0000

gnome-power-manager (3.8.2-1ubuntu1) trusty; urgency=low

  * Resynchronize on Debian, remaining change:
  * debian/patches/923292-fix.patch: handle ctrl-q key event

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Nov 2013 11:07:08 +0100

gnome-power-manager (3.8.2-1) unstable; urgency=low

  [ Loïc Minier ]
  * Drop consolekit Depends; GPM doesn't use it anymore.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Drop Build-Depends on libdbus-glib-1-dev, no longer required after the
    port to GDBus.
  * Use versioning recommended by dpkg-maintscript-helper in the maintscript
    file.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 09 Jun 2013 02:29:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                cdbs,
                gnome-pkg-tools (>= 0.10),
                autotools-dev,
-               libdbus-glib-1-dev (>= 0.70),
                libglib2.0-dev (>= 2.31.10),
                libgtk-3-dev (>= 3.4.0),
                libcairo2-dev (>= 1.0.0),
@@ -21,7 +20,7 @@
                intltool,
                docbook-utils,
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
 Homepage: http://www.gnome.org/projects/gnome-power-manager/
@@ -34,7 +33,7 @@
          notification-daemon,
          dbus-x11,
          upower,
-         gnome-settings-daemon (>= 3.2)
+         gnome-settings-daemon-schemas (>= 3.2)
 Breaks: gnome-session (<< 2.28)
 Suggests: policykit-1
 Description: power management tool for the GNOME desktop

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-dbus-services=/usr/share/dbus-1/services/

LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

clean::
	rm -f po/*.gmo

## gnome-power-manager 3.14.1

=== debian/changelog ===
gnome-power-manager (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Drop Depends on notification-daemon. The gnome-power-statistics binary,
    which is the only component still provided by the gnome-power-manager
    package, doesn't use it anymore.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Oct 2014 15:34:19 +0200

gnome-power-manager (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 22:00:42 +0200

gnome-power-manager (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 10:31:19 +0200

gnome-power-manager (3.12.0-2) experimental; urgency=medium

  * Bump libupower-glib-dev build-dependency to >= 0.99 as well.
    (Closes: #751129)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 12 Jun 2014 01:07:48 +0200

gnome-power-manager (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump libglib2.0-dev to (>= 2.36)
    - Bump intltool to (>= 0.50.0)
  * Bump dependency on upower to >= 0.99

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 22:26:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Source: gnome-power-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.0),
                cdbs,
                gnome-pkg-tools (>= 0.10),
                autotools-dev,
-               libglib2.0-dev (>= 2.31.10),
+               libglib2.0-dev (>= 2.36),
                libgtk-3-dev (>= 3.4.0),
                libcairo2-dev (>= 1.0.0),
-               libupower-glib-dev (>= 0.9.1),
+               libupower-glib-dev (>= 0.99),
                docbook-to-man,
-               intltool,
+               intltool (>= 0.50.0),
                docbook-utils,
                pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
 Homepage: http://www.gnome.org/projects/gnome-power-manager/
@@ -30,10 +29,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         notification-daemon,
          dbus-x11,
-         upower,
-         gnome-settings-daemon-schemas (>= 3.2)
+         upower (>= 0.99),
+         gnome-settings-daemon (>= 3.2)
 Breaks: gnome-session (<< 2.28)
 Suggests: policykit-1
 Description: power management tool for the GNOME desktop

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/([\d\.]+[02468])/gnome-power-manager-([\d\.]*).tar.xz

## gnome-power-manager 3.16.1

=== debian/changelog ===
gnome-power-manager (3.16.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/patches/ctrl-q-quit.patch:
    - Make Ctrl+q close the application.
  * debian/control:
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon (LP: #1277487) 

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jun 2015 16:09:12 +1200

gnome-power-manager (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Breaks.
  * Update Homepage: URL.
  * Drop obsolete --with-dbus-services configure flag.
  * Add Build-Depends on appstream-util as per configure.ac.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sun, 31 May 2015 00:21:24 +0200

gnome-power-manager (3.14.1-1ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - ctrl-q-quit.patch: Make Ctrl+q close the application.
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon (LP: #1277487)
  * Build against upower 0.99 (LP: #1330037)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Oct 2014 12:29:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: gnome-power-manager
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8.1.0),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 9),
                cdbs,
                gnome-pkg-tools (>= 0.10),
                autotools-dev,
@@ -18,11 +19,12 @@
                docbook-to-man,
                intltool (>= 0.50.0),
                docbook-utils,
-               pkg-config
+               pkg-config,
+               appstream-util
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
-Homepage: http://www.gnome.org/projects/gnome-power-manager/
+Homepage: https://projects.gnome.org/gnome-power-manager/
 
 Package: gnome-power-manager
 Architecture: any
@@ -31,8 +33,7 @@
          ${misc:Depends},
          dbus-x11,
          upower (>= 0.99),
-         gnome-settings-daemon (>= 3.2)
-Breaks: gnome-session (<< 2.28)
+         gnome-settings-daemon-schemas (>= 3.2)
 Suggests: policykit-1
 Description: power management tool for the GNOME desktop
  GNOME Power Manager is a session daemon for the GNOME desktop

## gnome-power-manager 3.18.0

=== debian/changelog ===
gnome-power-manager (3.18.0-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/patches/ctrl-q-quit.patch:
    - Make Ctrl+q close the application.
  * debian/control:
    - Depend on gnome-settings-daemon-schemas so can work with
      unity-settings-daemon.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 04 Nov 2015 14:03:34 +1300

gnome-power-manager (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.45.8) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 00:31:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs,
                gnome-pkg-tools (>= 0.10),
                autotools-dev,
-               libglib2.0-dev (>= 2.36),
+               libglib2.0-dev (>= 2.45.8),
                libgtk-3-dev (>= 3.4.0),
                libcairo2-dev (>= 1.0.0),
                libupower-glib-dev (>= 0.99),

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += \
-			--with-dbus-services=/usr/share/dbus-1/services/
-
 LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 clean::

## gnome-power-manager 3.18.0-1ubuntu1euclid1

=== debian/changelog ===
gnome-power-manager (3.18.0-1ubuntu1euclid1) xenial; urgency=medium

  * Remove some incorrect power statistics.

 -- Gerald Yang <gerald.yang@canonical.com>  Fri, 03 Mar 2017 18:34:18 +0800

## gnome-power-manager 3.22.0

=== debian/changelog ===
gnome-power-manager (3.22.0-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
    - debian/patches/ctrl-q-quit.patch:
      + Make Ctrl+q close the application.
    - debian/control:
      + Depend on gnome-settings-daemon-schemas instead of gnome-settings-
        daemon

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2016 20:41:20 -0400

gnome-power-manager (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop lingering autotools-dev build-dependency.
  * Add missing autoconf-archive build-dependency.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 19:20:40 +0200

gnome-power-manager (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 17:10:53 +0200

gnome-power-manager (3.21.91-1) unstable; urgency=medium

  * New upstream beta release.
  * Convert from cdbs to dh.
  * Depend on default-dbus-session-bus | dbus-session-bus instead of dbus-x11.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Sep 2016 19:34:45 +0200

gnome-power-manager (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 01:43:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
-               autotools-dev,
+               autoconf-archive,
                libglib2.0-dev (>= 2.45.8),
                libgtk-3-dev (>= 3.4.0),
                libcairo2-dev (>= 1.0.0),
@@ -21,9 +20,9 @@
                docbook-utils,
                pkg-config,
                appstream-util
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
 Homepage: https://projects.gnome.org/gnome-power-manager/
 
 Package: gnome-power-manager
@@ -31,7 +30,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         dbus-x11,
+         default-dbus-session-bus | dbus-session-bus,
          upower (>= 0.99),
          gnome-settings-daemon-schemas (>= 3.2)
 Suggests: policykit-1

## gnome-power-manager 3.22.2

=== debian/changelog ===
gnome-power-manager (3.22.2-2) unstable; urgency=medium

  * d/p/0001-Rename-the-application-id-passed-to-the-gtk_applicat.patch: Fix
    the program name so it matches the .desktop file
  * debian/control.in: Drop the Suggests against policykit-1, pkexec is not
    used anymore.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Feb 2017 16:37:20 +0100

gnome-power-manager (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 16:04:50 +0100

gnome-power-manager (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2016 15:35:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-power-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                autoconf-archive,
@@ -32,8 +31,7 @@
          ${misc:Depends},
          default-dbus-session-bus | dbus-session-bus,
          upower (>= 0.99),
-         gnome-settings-daemon-schemas (>= 3.2)
-Suggests: policykit-1
+         gnome-settings-daemon (>= 3.2)
 Description: power management tool for the GNOME desktop
  GNOME Power Manager is a session daemon for the GNOME desktop
  that takes care of system or desktop events related to power, and

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

## gnome-power-manager 3.24.0

=== debian/changelog ===
gnome-power-manager (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 16:26:24 -0400

gnome-power-manager (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Mar 2017 14:32:04 -0500

gnome-power-manager (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Drop obsolete Build-Depends on intltool
  * Refresh debian/patches/ctrl-q-quit.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2017 06:55:26 -0500

gnome-power-manager (3.22.2-1ubuntu1) zesty; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
    - debian/patches/ctrl-q-quit.patch:
      + Make Ctrl+q close the application.
    - debian/control:
      + Depend on gnome-settings-daemon-schemas instead of gnome-settings-
        daemon

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2016 14:58:17 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-power-manager
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                autoconf-archive,
@@ -15,7 +16,6 @@
                libcairo2-dev (>= 1.0.0),
                libupower-glib-dev (>= 0.99),
                docbook-to-man,
-               intltool (>= 0.50.0),
                docbook-utils,
                pkg-config,
                appstream-util
@@ -31,7 +31,8 @@
          ${misc:Depends},
          default-dbus-session-bus | dbus-session-bus,
          upower (>= 0.99),
-         gnome-settings-daemon (>= 3.2)
+         gnome-settings-daemon-schemas (>= 3.2)
+Suggests: policykit-1
 Description: power management tool for the GNOME desktop
  GNOME Power Manager is a session daemon for the GNOME desktop
  that takes care of system or desktop events related to power, and

## gnome-power-manager 3.25.90

=== debian/changelog ===
gnome-power-manager (3.25.90-1) unstable; urgency=medium

  * New upstream release
  * Switch to meson
  * debian/rules:
    - Add workaround for Ubuntu translations issue
  * Depend on gnome-settings-daemon-schemas instead of
    gnome-settings-daemon on Ubuntu
  * Drop 0001-Rename-the-application-id-passed-to-the-gtk_applicat.patch:
    - Applied in new release
  * Add ctrl-q-quit.patch from Ubuntu
    - Make Ctrl+q close the application
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Sep 2017 20:55:01 -0400

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Source: gnome-power-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10.3~),
                gnome-pkg-tools (>= 0.10),
-               autoconf-archive,
                libglib2.0-dev (>= 2.45.8),
                libgtk-3-dev (>= 3.4.0),
                libcairo2-dev (>= 1.0.0),
                libupower-glib-dev (>= 0.99),
                docbook-to-man,
                docbook-utils,
+               meson (>= 0.37.0),
                pkg-config,
                appstream-util
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
 Homepage: https://projects.gnome.org/gnome-power-manager/
@@ -29,10 +28,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${gnome-settings-daemon:Depends},
          default-dbus-session-bus | dbus-session-bus,
-         upower (>= 0.99),
-         gnome-settings-daemon-schemas (>= 3.2)
-Suggests: policykit-1
+         upower (>= 0.99)
 Description: power management tool for the GNOME desktop
  GNOME Power Manager is a session daemon for the GNOME desktop
  that takes care of system or desktop events related to power, and

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,16 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@ --with gnome --buildsystem=meson
+
+# Needed for Ubuntu translation support
+override_dh_translations:
+	dh_translations
+	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-power-manager-pot
+
+override_dh_gencontrol:
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	dh_gencontrol -- -Vgnome-settings-daemon:Depends='gnome-settings-daemon-schemas (>= 3.2)'
+else
+	dh_gencontrol -- -Vgnome-settings-daemon:Depends='gnome-settings-daemon (>= 3.2)'
+endif

## gnome-power-manager 3.26.0

=== meson_options.txt ===
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')

=== debian/changelog ===
gnome-power-manager (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 31 Jan 2018 09:16:19 -0500

gnome-power-manager (3.25.90-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use appstream-util appdata-to-news to install NEWS

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 18:03:17 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3~),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                libglib2.0-dev (>= 2.45.8),
                libgtk-3-dev (>= 3.4.0),
@@ -18,9 +18,9 @@
                meson (>= 0.37.0),
                pkg-config,
                appstream-util
-Standards-Version: 4.1.0
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-power-manager/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-power-manager/
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-power-manager
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-power-manager.git
 Homepage: https://projects.gnome.org/gnome-power-manager/
 
 Package: gnome-power-manager

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,17 @@
 #!/usr/bin/make -f
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome --buildsystem=meson
+	dh $@ --with gnome
+
+override_dh_installdocs:
+	dh_installdocs
+	mkdir -p debian/gnome-power-manager/usr/share/doc/gnome-power-manager
+	appstream-util appdata-to-news $(CURDIR)/*/data/*/org.gnome.PowerStats.appdata.xml \
+	> debian/gnome-power-manager/usr/share/doc/gnome-power-manager/NEWS
 
 # Needed for Ubuntu translation support
 override_dh_translations:

## gnome-power-manager 3.30.0

=== debian/changelog ===
gnome-power-manager (3.30.0-2) unstable; urgency=medium

  * Depend on gnome-settings-daemon-common instead of gnome-settings-daemon
  * Drop obsolete dh_translations override
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Dec 2018 11:43:57 -0500

gnome-power-manager (3.30.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in:
    - set Rules-Requires-Root: no

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Sep 2018 15:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-power-manager
@@ -18,7 +18,8 @@
                meson (>= 0.37.0),
                pkg-config,
                appstream-util
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-power-manager
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-power-manager.git
 Homepage: https://projects.gnome.org/gnome-power-manager/
@@ -28,8 +29,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${gnome-settings-daemon:Depends},
          default-dbus-session-bus | dbus-session-bus,
+         gnome-settings-daemon-common,
          upower (>= 0.99)
 Description: power management tool for the GNOME desktop
  GNOME Power Manager is a session daemon for the GNOME desktop

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/gnome-power-manager/usr/share/doc/gnome-power-manager
	appstream-util appdata-to-news $(CURDIR)/*/data/*/org.gnome.PowerStats.appdata.xml \
		> debian/gnome-power-manager/usr/share/doc/gnome-power-manager/NEWS

## gnome-power-manager 3.32.0

=== debian/changelog ===
gnome-power-manager (3.32.0-2build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:55:05 +0100

gnome-power-manager (3.32.0-2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:12 +0200

gnome-power-manager (3.32.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 25 Sep 2019 20:56:24 -0400

gnome-power-manager (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.47.0
  * Build-Depend on dh-sequence-gnome
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Mar 2019 09:50:58 -0500

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.10),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                libglib2.0-dev (>= 2.45.8),
                libgtk-3-dev (>= 3.4.0),
                libcairo2-dev (>= 1.0.0),
                libupower-glib-dev (>= 0.99),
                docbook-to-man,
                docbook-utils,
-               meson (>= 0.37.0),
+               meson (>= 0.46.0),
                pkg-config,
                appstream-util
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-power-manager
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-power-manager.git

## gnome-power-manager 43.0

=== debian/changelog ===
gnome-power-manager (43.0-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove obsolete Depends: gnome-settings-daemon-common
  * Remove unnecessary direct Depends: dbus-session-bus
  * Remove unnecessary Priority: optional field
  * Stop using dh-sequence-gnome
  * Update Homepage
  * Bump Standards Version to 4.7.2

  [ Simon McVittie ]
  * Update package description to reflect that this is now only a
    Power Statistics app (Closes: #895480)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Dec 2025 10:30:49 -0500

gnome-power-manager (43.0-4) unstable; urgency=medium

  * Switch to appstreamcli from appstream-util

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 11:24:51 +0200

gnome-power-manager (43.0-3) unstable; urgency=medium

  * Update debian/upstream/metadata
  * Update standards version to 4.7.0, no changes needed
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 12:52:04 -0500

gnome-power-manager (43.0-2) unstable; urgency=medium

  * Cherry-pick some AppStream metadata fixes
  * Remove 2 obsolete maintscript entries
  * Stop using debian/control.in and dh_gnome_clean
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Jan 2024 11:02:09 -0500

gnome-power-manager (43.0-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick trivial AppData fix
  * debian/docs: README -> README.md
  * Bump debhelper-compat to 13
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/rules: Drop no longer needed -Wl,--as-needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 17:12:12 -0400

=== debian/control ===
Source: gnome-power-manager
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream,
               docbook-to-man,
               docbook-utils,
               libcairo2-dev (>= 1.0.0),
               libglib2.0-dev (>= 2.45.8),
               libgtk-3-dev (>= 3.4.0),
               libupower-glib-dev (>= 0.99),
               meson (>= 0.46.0),
               pkgconf
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-power-manager
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-power-manager.git
Homepage: https://gitlab.gnome.org/GNOME/gnome-power-manager

Package: gnome-power-manager
Architecture: any
Depends: upower (>= 0.99),
         ${misc:Depends},
         ${shlibs:Depends}
Description: power statistics viewer for the GNOME desktop
 GNOME Power Statistics displays detailed information about battery
 status, including charging and discharging rates.
 .
 This package previously contained background services that triggered
 actions in response to power-related events, but the
 gnome-settings-daemon package is now responsible for providing those
 services.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/gnome-power-manager/usr/share/doc/gnome-power-manager
	appstreamcli metainfo-to-news $(CURDIR)/*/data/*/org.gnome.PowerStats.appdata.xml \
		debian/gnome-power-manager/usr/share/doc/gnome-power-manager/NEWS
